ranges::views::sliding_fn Struct Reference
Inheritance diagram for ranges::views::sliding_fn:

## Synopsis of methods

constexpr sliding_fn | sliding {}

## Public Member Functions

template<typename Int >
constexpr auto | operator() (Int n) const requires ` detail
Public Member Functions inherited from ranges::views::sliding_base_fn
template<typename Rng >
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&forward_range< Rng >) ccconstexpr sliding_view< all_t< Rng >> operator()(Rng &&rng

## Additional Inherited Members

Public Attributes inherited from ranges::views::sliding_base_fn
CPP_TEMPLATE_AUX_0 range_difference_t< Rng > n | const